curl --request POST \
--url https://api.veryfront.com/providers/{provider}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_id": "<string>",
"file_name": "<string>",
"content": "<string>",
"mime_type": "<string>",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://api.veryfront.com/providers/{provider}/files"
payload = {
"parent_id": "<string>",
"file_name": "<string>",
"content": "<string>",
"mime_type": "<string>",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_id: '<string>',
file_name: '<string>',
content: '<string>',
mime_type: '<string>',
project_reference: '<string>',
project_id: '<string>',
projectId: '<string>'
})
};
fetch('https://api.veryfront.com/providers/{provider}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"is_folder": true,
"modified_at": "<string>",
"thumbnail": "<string>"
}{
"error": "<string>",
"connectUrl": "<string>"
}Upload provider file
Uploads base64-encoded file content to an external provider folder.
Authorizations
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
External storage provider identifier, such as onedrive, sharepoint, or google_drive.
Body
Provider folder ID where the file should be created.
File name to create in the provider.
Base64-encoded file content. Maximum encoded size is 10 MB.
10000000MIME type for the uploaded file.
Project UUID or slug for project-scoped provider credentials.
Deprecated project ID or slug alias. Use project_reference.
Deprecated camelCase project ID or slug alias. Use project_reference.
Response
Created file
Provider-specific file or folder ID.
File or folder name.
Provider path for the file or folder.
MIME type or folder for folders.
File size in bytes. Folders may report 0.
Whether this item is a folder.
Provider modified timestamp.
Optional provider thumbnail URL.